import threading
import utils, ui, data_process

logger = utils.get_logger()

def main():
    logger.info("程序启动中...")
    # thread = threading.Thread(target=debug_test)
    # thread.start()
    app = ui.create_app()
    app.run(host='0.0.0.0',port=5123)  # 指定HTTP端口为5123

def debug_test():
    logger.info("调试程序开始")
    # project_no = "20250224"
    # data_process.pre_process_data(project_no, "测试","v1")
    # data_process.process_standard_data("1")
    logger.info("调试程序结束")


# 按装订区域中的绿色按钮以运行脚本。
if __name__ == '__main__':
    main()


